Name:           kcm_systemd
Version:        0.7.0
Release:        1%{?dist}
Summary:        Systemd control module for KDE

License:        GPLv3+
URL:            http://kde-apps.org/content/show.php/Kcmsystemd?content=161871
Source0:        http://kde-apps.org/CONTENT/content-files/161871-kcmsystemd-%{version}.tar.gz

BuildRequires:  boost-devel
BuildRequires:  kdelibs4-devel

%description
Systemd control module for KDE. It provides a graphical frontend for the systemd
daemon, which allows for viewing and controlling systemd units, as well as
modifying configuration files. In integrates in the System Settings dialogue in
KDE.

%prep
%setup -q -n kcmsystemd-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ../
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%files
%doc LICENSE NEWS README.md
%{_kde4_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmsystemd.conf
%{_kde4_libdir}/kde4/kcm_systemd.so
%{_kde4_libexecdir}/kcmsystemdhelper
%{_kde4_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmsystemd.service
%{_kde4_datadir}/kde4/services/kcm_systemd.desktop
%{_kde4_datadir}/polkit-1/actions/org.kde.kcontrol.kcmsystemd.policy

%changelog
* Sun Aug 03 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.7.0-1
- Update to 0.7.0 (#1124165)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 0.6.1-2
- Rebuild for boost 1.55.0

* Mon Apr 07 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.6.1-1
- Rename package from kcm-systemd to kcm_systemd
- Update to 0.6.1
- Point URL and Source0 to kde-apps.org (released tarball) instead of github
- Line-wrap %%description and fix a spelling/grammar error in it

* Wed Dec 25 2013 Mario Blättermann <mario.blaettermann@gmail.com> - 0.4.0-2
- Use kdelibs4 instead of kdelibs

* Wed Dec 18 2013 Mario Blättermann <mariobl@fedoraproject.org> 0.4.0-1
- Initial package
